Creating a new hall
curl --request POST \
--url https://tandem.hlofiys.xyz/api/halls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"address": "<string>"
}
'import requests
url = "https://tandem.hlofiys.xyz/api/halls"
payload = {
"name": "<string>",
"address": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', address: '<string>'})
};
fetch('https://tandem.hlofiys.xyz/api/halls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hall_id": 123,
"name": "<string>",
"address": "<string>",
"seating_chart_image_url": "<string>"
}{
"message": "Validation failed",
"errors": {
"name": "The name field is required.",
"price": "The price must be a valid number.",
"hall_id": "A valid hall_id is required."
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Admin: Halls
Creating a new hall
Creates a new hall entity in the system.
This is a protected endpoint. Access is restricted to users with admin or manager roles. An attempt to access this endpoint with insufficient privileges will result in a 403 Forbidden error.
POST
/
api
/
halls
Creating a new hall
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I